{% for label, messages in app.flashes(['success']) %}
    {% if messages | length > 0 %}
        <div class="{% if classes is defined %}{{ classes }}{% endif %}">
    {% endif %}
    {% for message in messages %}
        <div class="alert custom-alert custom-alert-success icon-custom-alert alert-secondary-shadow fade show bg-white border-radius-10"
             style="box-shadow: 0px 2px 4px rgba(31,30,47,0.03);"
             role="alert">
            <i data-feather="check" class="icon-dual alert-icon text-success align-self-center mr-3"></i>
            <div class="alert-text my-1">
                {{ message | flash_message }}
            </div>
            <div class="alert-close">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true"><i class="mdi mdi-close font-16"></i></span>
                </button>
            </div>
        </div>
    {% endfor %}
    {% if messages | length > 0 %}
        </div>
    {% endif %}
{% endfor %}

{% for label, messages in app.flashes(['info']) %}
    {% if messages | length > 0 %}
        <div class="{% if classes is defined %}{{ classes }}{% endif %}">
    {% endif %}
    {% for message in messages %}
        <div class="alert custom-alert custom-alert-info icon-custom-alert fade show bg-white border-radius-10"
             style="box-shadow: 0px 2px 4px rgba(31,30,47,0.03);"
             role="alert">
            <i data-feather="info" class="icon-dual alert-icon text-info align-self-center mr-3"></i>
            <div class="alert-text my-1">
                {{ message | flash_message }}
            </div>
            <div class="alert-close">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true"><i class="mdi mdi-close font-16"></i></span>
                </button>
            </div>
        </div>
    {% endfor %}
    {% if messages | length > 0 %}
        </div>
    {% endif %}
{% endfor %}

{% for label, messages in app.flashes(['warning']) %}
    {% if messages | length > 0 %}
        <div class="{% if classes is defined %}{{ classes }}{% endif %}">
    {% endif %}
    {% for message in messages %}
        <div class="alert custom-alert custom-alert-warning icon-custom-alert alert-secondary-shadow fade show bg-white border-radius-10"
             style="box-shadow: 0px 2px 4px rgba(31,30,47,0.03);"
             role="alert">
            <i data-feather="alert-triangle"
               class="icon-dual alert-icon text-warning align-self-center mr-3"></i>
            <div class="alert-text my-1">
                {{ message | flash_message }}
            </div>
            <div class="alert-close">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true"><i class="mdi mdi-close font-16"></i></span>
                </button>
            </div>
        </div>
    {% endfor %}
    {% if messages | length > 0 %}
        </div>
    {% endif %}
{% endfor %}

{% for label, messages in app.flashes(['error']) %}
    {% if messages | length > 0 %}
        <div class="{% if classes is defined %}{{ classes }}{% endif %}">
    {% endif %}
    {% for message in messages %}
        <div class="alert custom-alert custom-alert-danger icon-custom-alert alert-secondary-shadow fade show bg-white border-radius-10"
             style="box-shadow: 0px 2px 4px rgba(31,30,47,0.03);"
             role="alert">
            <i data-feather="x" class="icon-dual alert-icon text-danger align-self-center mr-3"></i>
            <div class="alert-text my-1">
                {{ message | flash_message }}
            </div>
            <div class="alert-close">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true"><i class="mdi mdi-close font-16"></i></span>
                </button>
            </div>
        </div>
    {% endfor %}
    {% if messages | length > 0 %}
        </div>
    {% endif %}
{% endfor %}

{% for label, messages in app.flashes(['danger']) %}
    {% if messages | length > 0 %}
        <div class="{% if classes is defined %}{{ classes }}{% endif %}">
    {% endif %}
    {% for message in messages %}
        <div class="alert custom-alert custom-alert-danger icon-custom-alert alert-secondary-shadow fade show bg-white border-radius-10"
             role="alert">
            <i class="la la-skull-crossbones alert-icon text-danger align-self-center font-24 mr-3"></i>
            <div class="alert-text my-1">
                {{ message | flash_message }}
            </div>
            <div class="alert-close">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true"><i class="mdi mdi-close font-16"></i></span>
                </button>
            </div>
        </div>
    {% endfor %}
    {% if messages | length > 0 %}
        </div>
    {% endif %}
{% endfor %}